Debian Bug report logs - #699475
general: Reading package lists... DoneSegmentation faulty tree... 50% and stops

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: john hartel <johnhartel@gmail.com>

Date: Thu, 31 Jan 2013 19:39:02 UTC

Severity: normal

Merged with 165448, 166306, 171248, 173616, 177604, 177871, 186366, 211769, 216249, 218917, 270147, 349233, 368898, 383223, 81829, 93453, 98017

Found in versions 0.3.19, apt/0.6.45, apt/0.5.27, apt/0.6.44.1, apt/0.7.20.2, 0.5.4, 0.5.12, 0.5.3, apt/0.7.20.2+lenny2, apt/0.6.43.2

Fixed in version apt/0.8.16~exp4

Done: Julian Andres Klode <jak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, johnhartel@gmail.com, debian-devel@lists.debian.org:
Bug#699475; Package general. (Thu, 31 Jan 2013 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to john hartel <johnhartel@gmail.com>:
New Bug report received and forwarded. Copy sent to johnhartel@gmail.com, debian-devel@lists.debian.org. (Thu, 31 Jan 2013 19:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: john hartel <johnhartel@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: Reading package lists... Done Segmentation faulty tree... 50% and stops
Date: Thu, 31 Jan 2013 14:37:24 -0500
Package: general
Severity: grave
Justification: renders package unusable

try to run apt-get install anything and i get Reading package lists... Done
Segmentation faulty tree... 50%
root@debian:/home/theresa#
doesnt go past this spot



-- System Information:
Debian Release: 6.0.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Severity set to 'normal' from 'grave' Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Sat, 02 Feb 2013 11:21:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'apt'. Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Sat, 02 Feb 2013 11:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#699475; Package apt. (Sat, 02 Feb 2013 11:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 02 Feb 2013 11:57:05 GMT) Full text and rfc822 format available.

Message #14 received at 699475@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve@s.cotton.clara.co.uk>
To: john hartel <johnhartel@gmail.com>, 699475@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#699475: general: Reading package lists... DoneSegmentation faulty tree... 50% and stops
Date: Sat, 2 Feb 2013 11:19:44 +0000
package general apt
reassign 699475
severity 699475 normal
thanks

On Thu, Jan 31, 2013 at 02:37:24PM -0500, john hartel wrote:
> try to run apt-get install anything and i get Reading package lists... Done
> Segmentation faulty tree... 50%

Hi John,

This looks like bug #81829 (which is fixed, but the fix isn't in stable).

Please try deleting /var/cache/apt/*.bin and then doing an apt-get update.

(I've changed the severity to match #81829).

Regards,
Steve



Marked Bug as done Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:18 GMT) Full text and rfc822 format available.

Notification sent to john hartel <johnhartel@gmail.com>:
Bug acknowledged by developer. (Fri, 12 Jul 2013 17:27:19 GMT) Full text and rfc822 format available.

Marked as fixed in versions apt/0.8.16~exp4. Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:19 GMT) Full text and rfc822 format available.

Marked as found in versions 0.3.19, apt/0.6.45, apt/0.5.27, apt/0.6.44.1, apt/0.7.20.2, 0.5.4, 0.5.12, 0.5.3, apt/0.7.20.2+lenny2, and apt/0.6.43.2. Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:20 GMT) Full text and rfc822 format available.

Merged 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917 270147 349233 368898 383223 699475 81829 93453 98017 Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#699475; Package apt. (Fri, 12 Jul 2013 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 12 Jul 2013 18:39:05 GMT) Full text and rfc822 format available.

Message #29 received at 699475@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve@s.cotton.clara.co.uk>
To: john hartel <johnhartel@gmail.com>, 699475@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#699475: general: Reading package lists... DoneSegmentation faulty tree... 50% and stops
Date: Fri, 12 Jul 2013 18:24:19 +0100
package apt
unarchive 81829
forcemerge 81829 699475
thanks

On Sat, Feb 02, 2013 at 11:19:44AM +0000, Steve Cotton wrote:
> On Thu, Jan 31, 2013 at 02:37:24PM -0500, john hartel wrote:
> > try to run apt-get install anything and i get Reading package lists... Done
> > Segmentation faulty tree... 50%
 
> This looks like bug #81829 (which is fixed, but the fix isn't in stable).
> 
> Please try deleting /var/cache/apt/*.bin and then doing an apt-get update.

Hi John,

I'm closing this as a duplicate of a now-fixed bug.  I'm assuming
that the workaround from #81829 worked, please reply if it didn't.

Regards,
Steve



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Aug 2013 07:26:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:02:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.